package com.desfate.chart.ui.old.data;

/**
 * 市场上
 * {"orderid":"35654167779001004","entrusttime":"2017-07-06 17:22:31","goodscode":"JJ02","goodsid":"35025",
 * "goodsname":"JJ02","buyorsell":"1","ordertype":"115","entrustqty":"8","tradeqty":"0","enableqty":"8",
 * "cancelqty":"0","orderprice":"30","orderstatus":"20","freezemargin":"0","accountid":"49007","accountname":"投资者1",
 * "decimalplace":"2","agreeunit":"2","operatetype":"0"}
 *
 * @author Administrator
 */
public class ListingAskStoreOrderData {
    private String orderid = "";
    private String entrusttime = "";
    private String goodscode = "";
    private String goodsid = "";
    private String goodsname = "";
    private String buyorsell = "";
    private String ordertype = "";
    private String entrustqty = "";
    private String tradeqty = "";
    private String enableqty = "";
    private String cancelqty = "";
    private String orderprice = "";
    private String orderstatus = "";
    private String freezemargin = "";
    private String accountid = "";
    private String accountname = "";
    private String decimalplace = "";
    private String agreeunit = "";
    private String operatetype = "";

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid;
    }

    public String getEntrusttime() {
        return entrusttime;
    }

    public void setEntrusttime(String entrusttime) {
        this.entrusttime = entrusttime;
    }

    public String getGoodscode() {
        return goodscode;
    }

    public void setGoodscode(String goodscode) {
        this.goodscode = goodscode;
    }

    public String getGoodsid() {
        return goodsid;
    }

    public void setGoodsid(String goodsid) {
        this.goodsid = goodsid;
    }

    public String getGoodsname() {
        return goodsname;
    }

    public void setGoodsname(String goodsname) {
        this.goodsname = goodsname;
    }

    public String getBuyorsell() {
        return buyorsell;
    }

    public void setBuyorsell(String buyorsell) {
        this.buyorsell = buyorsell;
    }

    public String getOrdertype() {
        return ordertype;
    }

    public void setOrdertype(String ordertype) {
        this.ordertype = ordertype;
    }

    public String getEntrustqty() {
        return entrustqty;
    }

    public void setEntrustqty(String entrustqty) {
        this.entrustqty = entrustqty;
    }

    public String getTradeqty() {
        return tradeqty;
    }

    public void setTradeqty(String tradeqty) {
        this.tradeqty = tradeqty;
    }

    public String getEnableqty() {
        return enableqty;
    }

    public void setEnableqty(String enableqty) {
        this.enableqty = enableqty;
    }

    public String getCancelqty() {
        return cancelqty;
    }

    public void setCancelqty(String cancelqty) {
        this.cancelqty = cancelqty;
    }

    public String getOrderprice() {
        return orderprice;
    }

    public void setOrderprice(String orderprice) {
        this.orderprice = orderprice;
    }

    public String getOrderstatus() {
        return orderstatus;
    }

    public void setOrderstatus(String orderstatus) {
        this.orderstatus = orderstatus;
    }

    public String getFreezemargin() {
        return freezemargin;
    }

    public void setFreezemargin(String freezemargin) {
        this.freezemargin = freezemargin;
    }

    public String getAccountid() {
        return accountid;
    }

    public void setAccountid(String accountid) {
        this.accountid = accountid;
    }

    public String getAccountname() {
        return accountname;
    }

    public void setAccountname(String accountname) {
        this.accountname = accountname;
    }

    public String getDecimalplace() {
        if (decimalplace == null || "".equals(decimalplace)) {
            decimalplace = "0";
        }
        return decimalplace;
    }

    public void setDecimalplace(String decimalplace) {
        this.decimalplace = decimalplace;
    }

    public String getAgreeunit() {
        return agreeunit;
    }

    public void setAgreeunit(String agreeunit) {
        this.agreeunit = agreeunit;
    }

    public String getOperatetype() {
        return operatetype;
    }

    public void setOperatetype(String operatetype) {
        this.operatetype = operatetype;
    }


}
